summaryrefslogtreecommitdiffstats
path: root/multimedia/ucview/ucview.SlackBuild
diff options
context:
space:
mode:
author Philip Lacroix <philnx at posteo dot de>2015-02-12 00:12:20 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-12 00:12:20 +0700
commit88db70f0e397972e127e312f2afc66252aa9ba21 (patch)
tree2c022bf5e4c3ffdae1b96a9906c1d56b2815bb57 /multimedia/ucview/ucview.SlackBuild
parent93521708168ca8b399f390eddcc56dcdf45e1a00 (diff)
downloadslackbuilds-88db70f0e397972e127e312f2afc66252aa9ba21.tar.gz
slackbuilds-88db70f0e397972e127e312f2afc66252aa9ba21.tar.xz
multimedia/ucview: Added (video capture and display program).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia/ucview/ucview.SlackBuild')
-rw-r--r--multimedia/ucview/ucview.SlackBuild129
1 files changed, 129 insertions, 0 deletions
diff --git a/multimedia/ucview/ucview.SlackBuild b/multimedia/ucview/ucview.SlackBuild
new file mode 100644
index 0000000000..3d953744d7
--- /dev/null
+++ b/multimedia/ucview/ucview.SlackBuild
@@ -0,0 +1,129 @@
+#!/bin/sh
+
+# Slackware build script for UCView
+
+# Copyright 2015 Philip Lacroix <philnx at posteo dot de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ucview
+VERSION=${VERSION:-0.33}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+PTC=$CWD/patches
+
+## Fixing a few bugs. For more information than those provided below please
+## see the related file: 'patches/patches.README'.
+
+# 1) Fix bug caused by a deprecated page size setting of 'GtkSpinButton' in
+# function 'gtk_adjustment_new'. The bug triggers error messages when video
+# encoding is switched to OGG/Theora (i.e. one message for each related spin
+# button).
+patch src/settings_dialog.c < $PTC/ucview-0.33-deprecated_Gtk_setting.patch
+
+# 2) Fix bug caused by UCView not being able to create a directory for plugins
+# when the parent directory '.ucview' is not already there (e.g. when the box
+# in the 'Select device' window was not checked at least once).
+patch src/plugin_loader.c < $PTC/ucview-0.33-plugins_mkdir_parents.patch
+
+# 3) Fix bug caused by the path for captured video files being set by default
+# to NULL, thus not allowing to save anything unless it is set explicitly.
+patch src/callbacks.c < $PTC/ucview-0.33-default_video_path.patch
+
+# 4) Something similar to 3) happens to the path for image files as well.
+patch src/ucview-window.c < $PTC/ucview-0.33-default_image_path.patch
+
+PRGMAN=$PKG/usr/man/man1
+PRGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+
+CFLAGS="$SLKCFLAGS" \
+# Compiler fails without this library:
+LIBS="-lgmodule-2.0" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux \
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress man page.
+gzip -9 $PRGMAN/$PRGNAM.1
+
+# Install documentation.
+mkdir -p $PRGDOC
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL README $PRGDOC/
+cat $CWD/$PRGNAM.SlackBuild > $PRGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}